<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_dyn_array.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classtinyxml2_1_1_dyn_array-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaad72f384e761c70a4519183eb8fea17" id="r_aaad72f384e761c70a4519183eb8fea17"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aaad72f384e761c70a4519183eb8fea17">DynArray</a> ()</td></tr>
<tr class="separator:aaad72f384e761c70a4519183eb8fea17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a6aefdca7fe0d3f4068e31870a5adee" id="r_a4a6aefdca7fe0d3f4068e31870a5adee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4a6aefdca7fe0d3f4068e31870a5adee">~DynArray</a> ()</td></tr>
<tr class="separator:a4a6aefdca7fe0d3f4068e31870a5adee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af87a804cd831226d069274b44b74b8bc" id="r_af87a804cd831226d069274b44b74b8bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af87a804cd831226d069274b44b74b8bc">Clear</a> ()</td></tr>
<tr class="separator:af87a804cd831226d069274b44b74b8bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea7ffe983b5d3284bd43171afd7c99d0" id="r_aea7ffe983b5d3284bd43171afd7c99d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aea7ffe983b5d3284bd43171afd7c99d0">Push</a> (T t)</td></tr>
<tr class="separator:aea7ffe983b5d3284bd43171afd7c99d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb25593c9f051748e0f30ed179b510e1" id="r_abb25593c9f051748e0f30ed179b510e1"><td class="memItemLeft" align="right" valign="top">T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abb25593c9f051748e0f30ed179b510e1">PushArr</a> (int count)</td></tr>
<tr class="separator:abb25593c9f051748e0f30ed179b510e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a3f2f6f869815b6eabb3ea40cf0712" id="r_a27a3f2f6f869815b6eabb3ea40cf0712"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a27a3f2f6f869815b6eabb3ea40cf0712">Pop</a> ()</td></tr>
<tr class="separator:a27a3f2f6f869815b6eabb3ea40cf0712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8b8c94a2312ab27e2846f0d61ef677a" id="r_ab8b8c94a2312ab27e2846f0d61ef677a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab8b8c94a2312ab27e2846f0d61ef677a">PopArr</a> (int count)</td></tr>
<tr class="separator:ab8b8c94a2312ab27e2846f0d61ef677a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a044fc26f44ed3e96ffaeac542188149e" id="r_a044fc26f44ed3e96ffaeac542188149e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a044fc26f44ed3e96ffaeac542188149e">Empty</a> () const</td></tr>
<tr class="separator:a044fc26f44ed3e96ffaeac542188149e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47382b773d83ea6defac7954f7100ffc" id="r_a47382b773d83ea6defac7954f7100ffc"><td class="memItemLeft" align="right" valign="top">T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a47382b773d83ea6defac7954f7100ffc">operator[]</a> (int i)</td></tr>
<tr class="separator:a47382b773d83ea6defac7954f7100ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77cd2037f38441694c60d44c84c23c38" id="r_a77cd2037f38441694c60d44c84c23c38"><td class="memItemLeft" align="right" valign="top">const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a77cd2037f38441694c60d44c84c23c38">operator[]</a> (int i) const</td></tr>
<tr class="separator:a77cd2037f38441694c60d44c84c23c38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a800456513ffa873482016fa15e5efe" id="r_a3a800456513ffa873482016fa15e5efe"><td class="memItemLeft" align="right" valign="top">const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3a800456513ffa873482016fa15e5efe">PeekTop</a> () const</td></tr>
<tr class="separator:a3a800456513ffa873482016fa15e5efe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67614d80847eb92cab330f1a5849a9a2" id="r_a67614d80847eb92cab330f1a5849a9a2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a67614d80847eb92cab330f1a5849a9a2">Size</a> () const</td></tr>
<tr class="separator:a67614d80847eb92cab330f1a5849a9a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e101fdf5b4248ac119d7dca6d0f5421" id="r_a8e101fdf5b4248ac119d7dca6d0f5421"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8e101fdf5b4248ac119d7dca6d0f5421">Capacity</a> () const</td></tr>
<tr class="separator:a8e101fdf5b4248ac119d7dca6d0f5421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa72c644f8b5e9ec5dab5b66c88f5665f" id="r_aa72c644f8b5e9ec5dab5b66c88f5665f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa72c644f8b5e9ec5dab5b66c88f5665f">SwapRemove</a> (int i)</td></tr>
<tr class="separator:aa72c644f8b5e9ec5dab5b66c88f5665f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f3b149fa566e4cf8d3138d8df92e66" id="r_a77f3b149fa566e4cf8d3138d8df92e66"><td class="memItemLeft" align="right" valign="top">const T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a77f3b149fa566e4cf8d3138d8df92e66">Mem</a> () const</td></tr>
<tr class="separator:a77f3b149fa566e4cf8d3138d8df92e66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5601461a9aca663d5ae0c24da1125821" id="r_a5601461a9aca663d5ae0c24da1125821"><td class="memItemLeft" align="right" valign="top">T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5601461a9aca663d5ae0c24da1125821">Mem</a> ()</td></tr>
<tr class="separator:a5601461a9aca663d5ae0c24da1125821"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8e2251588f079f2e7a4080b2c53dabea" id="r_a8e2251588f079f2e7a4080b2c53dabea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8e2251588f079f2e7a4080b2c53dabea">DynArray</a> (const <a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a> &amp;)</td></tr>
<tr class="separator:a8e2251588f079f2e7a4080b2c53dabea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46fa3bff1a6abe7cafad46707d0bb890" id="r_a46fa3bff1a6abe7cafad46707d0bb890"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a46fa3bff1a6abe7cafad46707d0bb890">operator=</a> (const <a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a> &amp;)</td></tr>
<tr class="separator:a46fa3bff1a6abe7cafad46707d0bb890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30f2dec82744b45667452e6ce3d51e32" id="r_a30f2dec82744b45667452e6ce3d51e32"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a30f2dec82744b45667452e6ce3d51e32">EnsureCapacity</a> (int cap)</td></tr>
<tr class="separator:a30f2dec82744b45667452e6ce3d51e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac8511e876d55f3ec64277516273434fd" id="r_ac8511e876d55f3ec64277516273434fd"><td class="memItemLeft" align="right" valign="top">T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac8511e876d55f3ec64277516273434fd">_mem</a></td></tr>
<tr class="separator:ac8511e876d55f3ec64277516273434fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26ed1f7dab98229d2ed867a07ee427df" id="r_a26ed1f7dab98229d2ed867a07ee427df"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a26ed1f7dab98229d2ed867a07ee427df">_pool</a> [INITIAL_SIZE]</td></tr>
<tr class="separator:a26ed1f7dab98229d2ed867a07ee427df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee2522b771ca30bc09bff4d5b3176bfc" id="r_aee2522b771ca30bc09bff4d5b3176bfc"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aee2522b771ca30bc09bff4d5b3176bfc">_allocated</a></td></tr>
<tr class="separator:aee2522b771ca30bc09bff4d5b3176bfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40f0578cc1912eed17fb29f64daf6ae9" id="r_a40f0578cc1912eed17fb29f64daf6ae9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a40f0578cc1912eed17fb29f64daf6ae9">_size</a></td></tr>
<tr class="separator:a40f0578cc1912eed17fb29f64daf6ae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aaad72f384e761c70a4519183eb8fea17" name="aaad72f384e761c70a4519183eb8fea17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaad72f384e761c70a4519183eb8fea17">&#9670;&#160;</a></span>DynArray() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::DynArray </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a6aefdca7fe0d3f4068e31870a5adee" name="a4a6aefdca7fe0d3f4068e31870a5adee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a6aefdca7fe0d3f4068e31870a5adee">&#9670;&#160;</a></span>~DynArray()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::~<a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a> </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e2251588f079f2e7a4080b2c53dabea" name="a8e2251588f079f2e7a4080b2c53dabea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e2251588f079f2e7a4080b2c53dabea">&#9670;&#160;</a></span>DynArray() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::DynArray </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a>&lt; T, INITIAL_SIZE &gt; &amp;</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8e101fdf5b4248ac119d7dca6d0f5421" name="a8e101fdf5b4248ac119d7dca6d0f5421"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e101fdf5b4248ac119d7dca6d0f5421">&#9670;&#160;</a></span>Capacity()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::Capacity </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af87a804cd831226d069274b44b74b8bc" name="af87a804cd831226d069274b44b74b8bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af87a804cd831226d069274b44b74b8bc">&#9670;&#160;</a></span>Clear()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::Clear </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a044fc26f44ed3e96ffaeac542188149e" name="a044fc26f44ed3e96ffaeac542188149e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a044fc26f44ed3e96ffaeac542188149e">&#9670;&#160;</a></span>Empty()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::Empty </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a30f2dec82744b45667452e6ce3d51e32" name="a30f2dec82744b45667452e6ce3d51e32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30f2dec82744b45667452e6ce3d51e32">&#9670;&#160;</a></span>EnsureCapacity()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::EnsureCapacity </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>cap</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5601461a9aca663d5ae0c24da1125821" name="a5601461a9aca663d5ae0c24da1125821"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5601461a9aca663d5ae0c24da1125821">&#9670;&#160;</a></span>Mem() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T * <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::Mem </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a77f3b149fa566e4cf8d3138d8df92e66" name="a77f3b149fa566e4cf8d3138d8df92e66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77f3b149fa566e4cf8d3138d8df92e66">&#9670;&#160;</a></span>Mem() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const T * <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::Mem </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a46fa3bff1a6abe7cafad46707d0bb890" name="a46fa3bff1a6abe7cafad46707d0bb890"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46fa3bff1a6abe7cafad46707d0bb890">&#9670;&#160;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a>&lt; T, INITIAL_SIZE &gt; &amp;</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a47382b773d83ea6defac7954f7100ffc" name="a47382b773d83ea6defac7954f7100ffc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47382b773d83ea6defac7954f7100ffc">&#9670;&#160;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T &amp; <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>i</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a77cd2037f38441694c60d44c84c23c38" name="a77cd2037f38441694c60d44c84c23c38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77cd2037f38441694c60d44c84c23c38">&#9670;&#160;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const T &amp; <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>i</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a800456513ffa873482016fa15e5efe" name="a3a800456513ffa873482016fa15e5efe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a800456513ffa873482016fa15e5efe">&#9670;&#160;</a></span>PeekTop()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const T &amp; <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::PeekTop </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a27a3f2f6f869815b6eabb3ea40cf0712" name="a27a3f2f6f869815b6eabb3ea40cf0712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27a3f2f6f869815b6eabb3ea40cf0712">&#9670;&#160;</a></span>Pop()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::Pop </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8b8c94a2312ab27e2846f0d61ef677a" name="ab8b8c94a2312ab27e2846f0d61ef677a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8b8c94a2312ab27e2846f0d61ef677a">&#9670;&#160;</a></span>PopArr()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::PopArr </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>count</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea7ffe983b5d3284bd43171afd7c99d0" name="aea7ffe983b5d3284bd43171afd7c99d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea7ffe983b5d3284bd43171afd7c99d0">&#9670;&#160;</a></span>Push()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::Push </td>
          <td>(</td>
          <td class="paramtype">T</td>          <td class="paramname"><span class="paramname"><em>t</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abb25593c9f051748e0f30ed179b510e1" name="abb25593c9f051748e0f30ed179b510e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb25593c9f051748e0f30ed179b510e1">&#9670;&#160;</a></span>PushArr()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T * <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::PushArr </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>count</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a67614d80847eb92cab330f1a5849a9a2" name="a67614d80847eb92cab330f1a5849a9a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67614d80847eb92cab330f1a5849a9a2">&#9670;&#160;</a></span>Size()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::Size </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa72c644f8b5e9ec5dab5b66c88f5665f" name="aa72c644f8b5e9ec5dab5b66c88f5665f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa72c644f8b5e9ec5dab5b66c88f5665f">&#9670;&#160;</a></span>SwapRemove()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::SwapRemove </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>i</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aee2522b771ca30bc09bff4d5b3176bfc" name="aee2522b771ca30bc09bff4d5b3176bfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee2522b771ca30bc09bff4d5b3176bfc">&#9670;&#160;</a></span>_allocated</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::_allocated</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac8511e876d55f3ec64277516273434fd" name="ac8511e876d55f3ec64277516273434fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8511e876d55f3ec64277516273434fd">&#9670;&#160;</a></span>_mem</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::_mem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a26ed1f7dab98229d2ed867a07ee427df" name="a26ed1f7dab98229d2ed867a07ee427df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26ed1f7dab98229d2ed867a07ee427df">&#9670;&#160;</a></span>_pool</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::_pool[INITIAL_SIZE]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a40f0578cc1912eed17fb29f64daf6ae9" name="a40f0578cc1912eed17fb29f64daf6ae9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40f0578cc1912eed17fb29f64daf6ae9">&#9670;&#160;</a></span>_size</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T , int INITIAL_SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classtinyxml2_1_1_dyn_array.html">tinyxml2::DynArray</a>&lt; T, INITIAL_SIZE &gt;::_size</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></li><li class="navelem"><a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
